Getting error when trying to run selenium-server-standalone-314159jar file to get the selenium grid working | Selenium Webdriver Tutorial with c# |Selenium C# training
15% Colorful Festival Offer Avail now

Selenium C# Training Forum

Getting error when trying to run selenium-server-standalone-314159jar file to get the selenium grid working

M
mai Post on 10/01/2019

 


C:\selenium\Code\DriverCode\Jan9-2019\POM_Rediff\POM_Rediff\POM_Rediff>java -jar Jar\selenium-server-standalone-3.141.59.jar - role hub
Exception in thread "main" java.lang.UnsupportedClassVersionError: org/openqa/grid/selenium/GridLauncherV3 : Unsupported major.minor version 52.0
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(Unknown Source)
        at java.security.SecureClassLoader.defineClass(Unknown Source)
        at java.net.URLClassLoader.defineClass(Unknown Source)
        at java.net.URLClassLoader.access$100(Unknown Source)
        at java.net.URLClassLoader$1.run(Unknown Source)
        at java.net.URLClassLoader$1.run(Unknown Source)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(Unknown Source)
        at java.lang.ClassLoader.loadClass(Unknown Source)
        at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
        at java.lang.ClassLoader.loadClass(Unknown Source)
        at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)

 

I searched and it mentions I should upgrade my java or at least change the version .. not sure which version I should get. I got the latest java version but still get same error (Java SE Development Kit 11.0.1)

M
mai Reply on 10/01/2019

here are details of java version I have running on my machine

 

java version "1.7.0_91"
Java(TM) SE Runtime Environment (build 1.7.0_91-b15)
Java HotSpot(TM) Client VM (build 24.91-b03, mixed mode, sharing)

M
mai Reply on 11/01/2019

I got it to work now. you can close this item , thanks